Home Assistant Community

0.64: Over 1000 integrations! New: HomeKit, BMW, August

#21

Can confirm this works in Docker. Users need to execute this via SSH inside their container e.g. docker exec -it home-assistant bash, followed by a restart

1 Like
#22

I have updated to 0.64 my broadlink devices show normally except the climate.broadlink which is custom_component and has been fix.
Broadlink works fine with HA 0.64 ^^

1 Like
#23

Hi,

An issue I see with miio air purifier after 0.64:
2018-02-26 13:12:18 ERROR (MainThread) [homeassistant.components.fan.xiaomi_miio] Got exception while fetching the state: Unable to discover the device 172.26.104.23
2018-02-26 13:12:49 ERROR (SyncWorker_10) [miio.device] Unable to discover a device at address 172.26.104.23

#24

I have the same problem.

#25

One issue with Broadlink climate (AC), running on HASSio:

ERROR:homeassistant.config:Invalid config for [climate.broadlink]: string value is None for dictionary value @ data['default_operation_from_idle']. Got None. (See ?, line ?). Please check the docs at https://home-assistant.io/components/climate.broadlink/

and also:

Error while setting up platform broadlink
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/broadlink/__init__.py", line 5, in <module>
    from Crypto.Cipher import AES
  File "/usr/lib/python3.6/site-packages/Crypto/Cipher/__init__.py", line 3, in <module>
    from Crypto.Cipher._mode_ecb import _create_ecb_cipher
  File "/usr/lib/python3.6/site-packages/Crypto/Cipher/_mode_ecb.py", line 29, in <module>
    from Crypto.Util._raw_api import (load_pycryptodome_raw_lib,
  File "/usr/lib/python3.6/site-packages/Crypto/Util/_raw_api.py", line 32, in <module>
    from Crypto.Util.py3compat import byte_string
ImportError: cannot import name 'byte_string'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/homeassistant/helpers/entity_platform.py", line 84, in async_setup
    SLOW_SETUP_MAX_WAIT, loop=hass.loop)
  File "/usr/lib/python3.6/asyncio/tasks.py", line 358, in wait_for
    return fut.result()
  File "/usr/lib/python3.6/asyncio/futures.py", line 245, in result
    raise self._exception
  File "/usr/lib/python3.6/concurrent/futures/thread.py", line 56, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/lib/python3.6/site-packages/homeassistant/components/sensor/broadlink.py", line 60, in setup_platform
    broadlink_data = BroadlinkData(update_interval, host, mac_addr, timeout)
  File "/usr/lib/python3.6/site-packages/homeassistant/components/sensor/broadlink.py", line 107, in __init__
    import broadlink
  File "/usr/lib/python3.6/site-packages/broadlink/__init__.py", line 7, in <module>
    import pyaes
ModuleNotFoundError: No module named 'pyaes'
#26

This is the custom_component. There is an update for this component as well. Update it and restart your HA.

#27

Updating the Broadlink custom component to the latest version fixed the problem. Thanks!

#28

Netatmo component raises an error on docker version 0.64:

Module name: “<function string at 0x7f8ff2fc8e18>” not found. But all the sensors seemed to be working.

#29

Having issues with zigbee loading with 0.64. Lookes like the same byte_string error is affecting multiple components.

Mon Feb 26 2018 09:58:15 GMT-0500 (EST)

Error during setup of component zha
Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/homeassistant/setup.py”, line 145, in _async_setup_component
result = yield from component.async_setup(hass, processed_config)
File “/usr/lib/python3.6/site-packages/homeassistant/components/zha/init.py”, line 96, in async_setup
from bellows.zigbee.application import ControllerApplication
File “/usr/lib/python3.6/site-packages/bellows/zigbee/application.py”, line 7, in
import zigpy.application
File “/usr/lib/python3.6/site-packages/zigpy/application.py”, line 6, in
import zigpy.appdb
File “/usr/lib/python3.6/site-packages/zigpy/appdb.py”, line 4, in
import zigpy.device
File “/usr/lib/python3.6/site-packages/zigpy/device.py”, line 5, in
import zigpy.endpoint
File “/usr/lib/python3.6/site-packages/zigpy/endpoint.py”, line 7, in
import zigpy.util
File “/usr/lib/python3.6/site-packages/zigpy/util.py”, line 6, in
from Crypto.Cipher import AES
File “/usr/lib/python3.6/site-packages/Crypto/Cipher/init.py”, line 3, in
from Crypto.Cipher._mode_ecb import _create_ecb_cipher
File “/usr/lib/python3.6/site-packages/Crypto/Cipher/_mode_ecb.py”, line 29, in
from Crypto.Util._raw_api import (load_pycryptodome_raw_lib,
File “/usr/lib/python3.6/site-packages/Crypto/Util/_raw_api.py”, line 32, in
from Crypto.Util.py3compat import byte_string
ImportError: cannot import name ‘byte_string’

1 Like
#30

How do you use pip ? Not working…

core-ssh:~# hassio homeassistant stop
Success homeassistant/stop
core-ssh:~# pip install pyaes
-ash: pip: not found
core-ssh:~#

#31

^^^^^ That will NOT work with HASSio.

#32

So…Any idea of what to do in this case??

#33

As far as I know, nothing can be done by the end-user in this case. All updates should be included in the HASSio updates.

#34

F*** :pensive::pensive: Thank you for giving me an answer!

#35

I don’t use topics or mqtt either. but can confirm this will bypass the bug and make it work again.
thanks for the tip!

#36

Just upgraded from .0.63.1 to 0.64
I no longer get any output from hass --script check_config.
Worked fine in 0.63.1

1 Like
#37

Same for me

#38

Just upgraded from .0.63.1 to 0.64.

I had many errors during the upgrades. When I resolved (repeating the upgrade procedure the second time), Now on the HA web GUI I have duplicates items (Chromecasts, messages to dimiss, Lights and ecc…) when arrive messages from my automations :frowning:

Is it possible to come back to previous 0.63.1 version? Thanks.

#39

Yes that’s no problem, witch version of hass are you runnig? Hassbian, hassio?

#40

Hi Stimo, I installed my HA 0.63.1 on a my Raspberry Pi with last Raspbian Lite.